﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MathModTasks
{
    class Program
    {
        static void Main(string[] args)
        {
            /// <summary>
            /// Метод потенциалов
            /// </summary>
            //PotentialMethod p = new PotentialMethod("potdata3.csv");
            //p.MainSolution();
            // считывание в transport solution


            // Оптимальный план выпуска продукции :
            /// <summary>
            /// Класс для оптимального распределения m-го количества работ среди n-го количества станков
            /// </summary>
            //Stank st = new Stank("data1.csv");
            //st.MainSolution();
            // считывание в result.txt

            /// <summary>
            /// Производит решение задачи симплекс-методом +
            /// </summary>
            //Simplex S = new Simplex("reshenie.txt", ReadSaveData.StringListConverter(ReadSaveData.ReadData("sipm.csv")));
            //S.MakeResult();




            /// <summary>
            /// Критический путь +
            /// </summary>
            var pf = new PathFinder("criticalpath.csv", "reshenie.txt");
            ReadSaveData.ReadData("criticalpath.csv", ref pf.activities);
            Console.WriteLine(pf.FindStartingPos());
            //pf.CalculateCriticalPath();

            /// <summary>
            /// Коммивояжер +
            /// </summary>
            //var a = new Сommivoyageur("Comivoyazher.csv", "reshenie.txt");
            //a.Calculate();



            // Первоначальное распределение:
            /// <summary>
            /// По методу минимального элемента
            /// </summary>
            //var b = new MinDistrib( "TransportSolution.csv",  5,4,4);
            //b.MinDistribute();



            //Severo s = new Severo();
            //s.Join();









        }
    }
}
